# For faktor Fj med direkte paavirkning paa hendelsen
# Fastsetter sannsynlighetsfordeling for Fj betinget paa to faktorer med lik fordeling Pi
# Antar lik vekting av foreldrene.


Pi = c(0.05, 0.275, 0.35, 0.167, 0.108, 0.05) #ubetinget sannsynlighetsfordeling til faktorene som paavirker Fj

Q = c(0.5, 0.75, 1, 2, 3, 4) #vekter for aa beskrive forskjell A til F.

P = 0.1 # sannsynligeht basert paa historisk frekvens

i = 2 # antall foreldre til Fj 
w = 1/i # vekt av hver forelder (antar lik vekt)

l_Pj = 6^i

Qa = array(dim=c(6,6))

for(n in 1:6){
	for(m in 1:6){
		Qa[n,m] = w*(Q[n]+Q[m])
	}
}

Pia = array(dim = c(6,6))
for(n in 1:6){
	for(m in 1:6){
		Pia[n,m] = (Pi[n]*Pi[m])
	}
}

sum =sum(Pia*Qa)
Pb = P/(sum)

temp=Qa*Pb
PjH = c()
k = 1
for(n in 1:6){
	for(m in 1:6){
		PjH[k] = temp[n,m]
		k = k + 1
	}
}

Pjh = 1-PjH # betinget sannsynlighet for ikke hendelse Pj

Pj = c(1:l_Pj) #Betinget fordeling for Fj

m=1
for (n in 1:l_Pj){	
	Pj[m] = PjH[n]
	m = m+2
	}

m=2
for (n in 1:l_Pj){
	Pj[m] = Pjh[n]
	m = m+2
}
