#Mekansistisk metode for fastsetting av betinget sannsynlighetsfordeling for en faktor med indirekte paavirkning og en forelder. 
R = 1 # Skalleringsfaktor for spredning i diskret sannsynlighetsfordeling

# Alle kombinasjoner av avstander i Zj
Zj=array(dim=c(6,6))
for(n in 1:6) {
	for(a in 1:6) {
		Zj[n,a] = abs(n-a)
	}
}

#Betinget sannsynlighetsfordeling Pj for Fj med en forelder
Pj=array(dim = c(6,6))
for(n in 1:6) {
	for(a in 1:6) {
		sum = 0
		for(i in 1:6) {
			sum = sum + exp(-R*Zj[n,i])
		}
		Pj[n,a] = (exp(-R*Zj[n,a]))/(sum)
	}
}