#Mekansistisk metode for fastsetting av betinget sannsynlighetsfordeling for en faktor med indirekte paavirkning og to foreldre. 

w1 = 0.5 #vekt for viktighet av faktor F1
w2 = 0.5 #vekt for viktighet av faktor F2
R = 1 # Skalleringsfaktor for spredning i diskret sannsynlighetsfordeling

# Alle kombinasjoner av avstander i Zj
Zj=array(dim=c(6,6,6))
for(n in 1:6) {
	for(m in 1:6) {
		for(a in 1:6) {
			Zj[n,m,a] = abs(n-a)*w1+abs(m-a)*w2
		}
	}
}

# Betinget sannsynlighetsfordeling for Fj
Pj=array(dim = c(6,6,6))
for(n in 1:6) {
	for(m in 1:6) {
		for(a in 1:6) {
			sum = 0
			for(i in 1:6) {
				sum = sum + exp(-R*Zj[n,m,i])
			}
			Pj[n,m,a] = (exp(-R*Zj[n,m,a]))/(sum)
		}
	}
}

